Bug 74064 - loadkeys does not load strings
loadkeys does not load strings
Product: Red Hat Linux
Classification: Retired
Component: kbd (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
: 74065 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-09-14 01:27 EDT by Vladimir Kolpakov
Modified: 2007-04-18 12:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-19 15:06:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vladimir Kolpakov 2002-09-14 01:27:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4) Gecko/20010914

Description of problem:
loadkeys -s still been able to erase keyboard strings in the kernel,
but there is no way to load new strings descriptors anymore.

How reproducible: 

Steps to Reproduce:
1.dumpkeys > /tmp/default_keys
2.loadkeys -s
3.loadkeys ru
4.dumpkeys > /tmp/ru_keys
5.See difference in near bottom part, just before compose-s list.
6.copy loadkeys binary from mandrake "consoletools" package.
7.run mandrake's loadkeys with the same keymap and see difference.

Actual Results:  linux console is non-functional anymore for national people,
and products with extensive using of keyboard midifiers.

Expected Results:  strings must be overwritten

Additional info:

Result of dumpkeys with custom keymap table,
loaded by mandrake's loadkeys:
        shift   control alt     keycode 126 = AltGr_Lock      
keycode 127 =
string F1 = "\033[[A"
string F2 = "\033[[B"
string F22 = "\033[36~"
string F101 = "\033[7^"
string F102 = "\033[8^"
string F103 = "\033[5B"
string F104 = "\033[5A"
string F105 = "\033[5D"
string F106 = "\033[5C"
string F107 = "\033[2;5~"
string F108 = "\033[3^"
string F109 = "\033[3$"
string F110 = "\033{7~"
compose '!' '!' to '?'
compose '"' 'A' to '?'
Comment 1 Vladimir Kolpakov 2002-09-14 02:17:18 EDT
*** Bug 74065 has been marked as a duplicate of this bug. ***
Comment 2 Oisin C. Feeley 2003-02-12 18:55:55 EST
I can reproduce this problem exactly.  Is there a possible fix in one of the
rawhide packages?  I've been looking to map some of my useless "Microsoft Kbd"
keys for use on the console and it seems that there's no way of doing it.  
Comment 3 lizbeth 2003-04-15 21:15:59 EDT
Although loadkeys is broken in the distribution, I downloaded the source
(kbd-1.06-26.src.rpm) and had no trouble compiling and installing it.
The compiled from source loadkeys will load strings and in every way that
I can tell performs according to the documentation in man loadkeys and
man 5 keymaps.  If you need a solution now and have the development tools
(compiler, make, etc.) this may work for you.
Comment 4 vek 2003-05-21 08:12:58 EDT
A bug in gcc as distributed wiht RH8.0 is causing the problem
with loadkeys.

Compile without the -mcpu=i686 make the bug go away.
Compile with version 2.96 of gcc makes the bug go away.

The bug in gcc is triggered when you pass a structure by contents instead
of pasing the address of the structure in a subrutine call, and some
other conditions also plays a role as the bug is not always triggered.

Comment 5 Eido Inoue 2004-04-19 15:06:24 EDT
behavior does not exist with current compiler. closing.

Note You need to log in before you can comment on or make changes to this bug.